path: /build/build/shaderc-media-libs-2023.8.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test" emerge media-libs/shaderc -pv -t && \
    USE="-doc -test" emerge -j ${JOBS} --nodeps media-libs/shaderc
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/shaderc && luet-portage --dir /pkgdir/shaderc
    media-libs/shaderc && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8f5a518c9f519aa0ec12ff507eda01f1eacfc79368aa08e9554a417efa7b52c4
  package:
    name: shaderc
    version: "2023.8"
    category: media-libs
    use_flags:
    - -doc
    - -test
    requires:
    - name: libldac
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Collection of tools, libraries and tests for shader compilation
    uri:
    - https://github.com/shaderc/google
    license: Apache-2.0
    buildtimestamp: 2024-02-07 13:37:35.376237429 +0000 UTC m=+777.349567634
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6
      DEPEND: dev-util/glslang dev-util/spirv-tools || ( dev-lang/python:3.8 dev-lang/python:3.9
        dev-lang/python:3.7 dev-lang/python:3.10 ) dev-util/spirv-headers doc? ( dev-ruby/asciidoctor
        ) test? ( dev-cpp/gtest || ( ( dev-lang/python:3.8 dev-python/nose[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 dev-python/nose[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 dev-python/nose[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ( dev-lang/python:3.10 dev-python/nose[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ) )
      IUSE: doc test
      RDEPEND: dev-util/glslang dev-util/spirv-tools
      emerge.packages: media-libs/shaderc
      kit: media-kit
      original.package.name: media-libs/shaderc
      original.package.slot: "0"
      original.package.version: "2023.8"
    treedir: /build/packages
  package_dir: /pkgdir/shaderc
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: da19b08b766dd0529892ad21132efb9920c6138241038d9c53e33e0c4203940d
compressiontype: zstd
files:
- usr/bin/glslc
- usr/include/shaderc/env.h
- usr/include/shaderc/shaderc.h
- usr/include/shaderc/shaderc.hpp
- usr/include/shaderc/status.h
- usr/include/shaderc/visibility.h
- usr/lib64/libshaderc.a
- usr/lib64/libshaderc_combined.a
- usr/lib64/libshaderc_shared.so
- usr/lib64/libshaderc_shared.so.1
- usr/lib64/pkgconfig/shaderc.pc
- usr/lib64/pkgconfig/shaderc_combined.pc
- usr/lib64/pkgconfig/shaderc_static.pc
- usr/share/doc/shaderc-2023.8/AUTHORS.bz2
- usr/share/doc/shaderc-2023.8/CHANGES.bz2
- usr/share/doc/shaderc-2023.8/README.md.bz2
- var/db/pkg/media-libs/shaderc-2023.8/BDEPEND
- var/db/pkg/media-libs/shaderc-2023.8/BUILD_TIME
- var/db/pkg/media-libs/shaderc-2023.8/CATEGORY
- var/db/pkg/media-libs/shaderc-2023.8/CBUILD
- var/db/pkg/media-libs/shaderc-2023.8/CFLAGS
- var/db/pkg/media-libs/shaderc-2023.8/CHOST
- var/db/pkg/media-libs/shaderc-2023.8/CONTENTS
- var/db/pkg/media-libs/shaderc-2023.8/COUNTER
- var/db/pkg/media-libs/shaderc-2023.8/CXXFLAGS
- var/db/pkg/media-libs/shaderc-2023.8/DEFINED_PHASES
- var/db/pkg/media-libs/shaderc-2023.8/DEPEND
- var/db/pkg/media-libs/shaderc-2023.8/DESCRIPTION
- var/db/pkg/media-libs/shaderc-2023.8/EAPI
- var/db/pkg/media-libs/shaderc-2023.8/FEATURES
- var/db/pkg/media-libs/shaderc-2023.8/HOMEPAGE
- var/db/pkg/media-libs/shaderc-2023.8/INHERITED
- var/db/pkg/media-libs/shaderc-2023.8/IUSE
- var/db/pkg/media-libs/shaderc-2023.8/IUSE_EFFECTIVE
- var/db/pkg/media-libs/shaderc-2023.8/KEYWORDS
- var/db/pkg/media-libs/shaderc-2023.8/LDFLAGS
- var/db/pkg/media-libs/shaderc-2023.8/LICENSE
- var/db/pkg/media-libs/shaderc-2023.8/NEEDED
- var/db/pkg/media-libs/shaderc-2023.8/PF
- var/db/pkg/media-libs/shaderc-2023.8/PROVIDES
- var/db/pkg/media-libs/shaderc-2023.8/RDEPEND
- var/db/pkg/media-libs/shaderc-2023.8/REQUIRES
- var/db/pkg/media-libs/shaderc-2023.8/RESTRICT
- var/db/pkg/media-libs/shaderc-2023.8/SIZE
- var/db/pkg/media-libs/shaderc-2023.8/SLOT
- var/db/pkg/media-libs/shaderc-2023.8/USE
- var/db/pkg/media-libs/shaderc-2023.8/environment.bz2
- var/db/pkg/media-libs/shaderc-2023.8/repository
- var/db/pkg/media-libs/shaderc-2023.8/shaderc-2023.8.ebuild
package_cacheimage: ""
runtime:
  name: shaderc
  version: "2023.8"
  category: media-libs
  use_flags:
  - -doc
  - -test
  requires:
  - name: glslang
    version: '>=0'
    category: dev-util
  - name: spirv-tools
    version: '>=0'
    category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Collection of tools, libraries and tests for shader compilation
  uri:
  - https://github.com/shaderc/google
  license: Apache-2.0
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6
    DEPEND: dev-util/glslang dev-util/spirv-tools || ( dev-lang/python:3.8 dev-lang/python:3.9
      dev-lang/python:3.7 dev-lang/python:3.10 ) dev-util/spirv-headers doc? ( dev-ruby/asciidoctor
      ) test? ( dev-cpp/gtest || ( ( dev-lang/python:3.8 dev-python/nose[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 dev-python/nose[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 dev-python/nose[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ( dev-lang/python:3.10 dev-python/nose[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ) )
    IUSE: doc test
    RDEPEND: dev-util/glslang dev-util/spirv-tools
    emerge.packages: media-libs/shaderc
    kit: media-kit
    original.package.name: media-libs/shaderc
    original.package.slot: "0"
    original.package.version: "2023.8"
